'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var connectContext = function connectContext(ContextConsumer) {
  return function (Component) {
    return function (props) {
      if (!ContextConsumer.currentValue instanceof Object) {
        throw new Error("react-connect-context: the current value of the given context identifier is _not_ an object,\nand therefore cannot be passed as props to " + Component.name + ". Please check the value in the context\nand try again.\n\nMore info: https://github.com/Contiamo/react-connect-context#gotchas");
      }
      return React.createElement(
        ContextConsumer,
        null,
        function (context) {
          return React.createElement(Component, _extends({}, context, props));
        }
      );
    };
  };
};

exports.connectContext = connectContext;
